WIPEFS(8)

BEZEICHNUNG
wipefs - eine Signatur von einem Gerät löschen

ÜBERSICHT

wipefs [Optionen] Gerät …

wipefs [--backup] -o Versatz Gerät…

wipefs [--backup] -a Gerät…

BESCHREIBUNG

wipefs kann die Signaturen von Dateisystemen, RAID oder Partitionstabellen (magische Zeichenketten) vom angegebenen Gerät löschen, um diese für libblkid unsichtbar zu machen. wipefs löscht nicht das Dateisystem selbst oder irgendwelche andere Daten von dem Gerät.

Werden keine Optionen verwandt, wird wipefs alle sichtbaren Dateisysteme und deren Versatz auf der Basis grundlegender Signaturen auflisten. Die Vorgabeausgabe kann sich ändern. Daher sollten Sie wann immer möglich vermeiden, die Vorgabeausgabe in Skripten zu verwenden. Definieren Sie in Umgebungen, in denen eine stabile Ausgabe benötigt wird, immer explizit die Spalten mittels --output Spaltenliste.

wipefs ruft das BLKRRPART-Ioctl nach dem Löschen einer Partitionstabelle auf, um den Kernel über die Änderung zu informieren. Der Ioctl wird zuletzt aufgerufen und wenn alle angegebenen Signaturen von allen angegebenen Geräten bereits gelöscht sind. Mit dieser Funktion können sowohl Inhalte von Partitionen als auch Partitionstabellen auf Plattenlaufwerken gelöscht werden, zum Beispiel mit wipefs -a /dev/sdc1 /dev/sdc2 /dev/sdc.

Beachten Sie, dass einige Dateisysteme und einige Partitionstabellen (z.B. FAT, ZFS, GPT) mehr magische Zeichenketten auf dem Gerät speichern. Der Befehl wipefs listet (seit v2.31) alle Versätze auf, an denen magische Zeichenketten erkannt wurden.

Mit der Option -a werden alle für libblkid(3) sichtbaren magischen Zeichenketten gelöscht. In diesem Fall durchsucht wipefs das Gerät erneut nach einer Änderung (Löschen), bis keine magische Zeichenkette gefunden wird.

Beachten Sie, dass wipefs keine verschachtelten Partitionstabellen auf Geräteteilen löscht. Die Option --force wird dazu benötigt.

OPTIONEN

-a, --all
    löscht alle verfügbaren Signaturen. Die zu löschenden Signaturen können mit der Option -t eingegrenzt werden.

-b, --backup
    erstellt eine Sicherung der Signatur in der Datei $HOME/wipefs-<Gerätename>-<Versatz>.bak. Weitere Details finden Sie im Abschnitt BEISPIELE.

-f, --force
    erzwingt das Löschen selbst dann, wenn das Dateisystem eingehängt ist. Dies ist notwendig, um die Partitionstabellensignatur eines blockorientierten Gerätes löschen zu können.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-J, --json
    verwendet das JSON-Ausgabeformat.

--lock[=Modus]
    verwendet eine exklusive BSD-Sperre für das Gerät oder die Datei, auf dem/der es agiert. Das optionale Argument Modus kann yes, no (oder 1 und 0) oder nonblock sein. Falls das Argument Modus weggelassen wird, wird standardmäßig yes angenommen. Diese Option setzt die Umgebungsvariable $LOCK_BLOCK_DEVICE außer Kraft. Standardmäßig wird überhaupt keine Sperre gesetzt, dies wird aber empfohlen, um Kollisionen mit Udevd zu vermeiden.

-i, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-O, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-n, --no-act
    sorgt dafür, dass alles erledigt wird, bis auf den endgültigen Aufruf von write(2).

-o, --offset Versatz
    gibt den Ort der Signatur (in Bytes) an, die vom Gerät gelöscht werden soll. Die Zahl für Versatz kann ein Präfix »0x« enthalten, so dass die Zahl als Hexadezimalwert interpretiert iwrd. Es ist möglich, die Option -o mehrmals anzugeben.

    Auf das Argument Versatz können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB und EiB folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, PB und EB.

-p, --parsable
    veranlasst die Ausgabe in einem auswertbaren anstatt menschenlesbaren Format. Alle potenziell unsicheren Zeichen einer Zeichenkette werden in den korrespondierenden Hexadezimalwert umgewandelt, indem das Präfix »\x« vorangestellt wird.

-q, --quiet
    unterdrückt die Ausgabe vom Meldungen nach dem erfolgreichen Löschen der Signatur.

-t, --types Liste
    grenzt die ausgegebenen oder zu löschenden Signaturen ein. Es können in einer durch Kommata getrennten Liste mehrere Typen angegeben werden. Der Liste oder den angegebenen Typen kann ein »no« vorangestellt werden, um die Typen anzugeben, für die keine Aktion ausgeführt werden soll. Weitere Details finden Sie in mount(8).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe für libblkid(3).

LOCK_BLOCK_DEVICE=<Modus>
    verwendet eine exklusive BSD-Sperre. Der Modus ist »1« oder »0«. Siehe --lock für weitere Details.

BEISPIELE

wipefs /dev/sda*
    gibt Informationen über sda und alle Partitionen auf sda aus.

wipefs --all --backup /dev/sdb
    löscht alle Signaturen vom Gerät /dev/sdb und erstellt eine Sicherungsdatei ~/wipefs-sdb-<Versatz>.bak für jede Signatur.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$0x00000438 bs=1 conv=notrunc
    stellt die ext2-Signatur aus der Sicherungsdatei ~/wipefs-sdb-0x00000438.bak wieder her.

AUTOREN

SIEHE AUCH

blkid(8), findfs(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl wipefs ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).